Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] problem compiling r20196
From: Ralph Castain (rhc_at_[hidden])
Date: 2009-01-05 14:20:49


The file is present on the 2.6.19 distribution, which is the most
current I have access to.

However, after looking at the code, I realized that we no longer need
that include file anyway - so I have removed it. Hopefully, that
should let you build.

Ralph

On Jan 5, 2009, at 12:08 PM, Jeff Squyres wrote:

> Is there some other file that should be included instead?
>
>
> On Jan 5, 2009, at 1:16 PM, Thomas Ropars wrote:
>
>> Hi,
>>
>> I don't manage to compile the code from the svn r20196.
>>
>> I get the following error:
>> pstat_linux_module.c:34:73: error: asm/page.h: No such file or
>> directory
>> make[2]: *** [pstat_linux_module.lo] Error 1
>>
>> It seems that it is because new Linux kernels no longer install asm/
>> page.h (I use a 2.6.27 Linux kernel).
>>
>> Regards,
>>
>> Thomas.
>>
>>
>>
>> _______________________________________________
>> devel mailing list
>> devel_at_[hidden]
>> http://www.open-mpi.org/mailman/listinfo.cgi/devel
>
>
> --
> Jeff Squyres
> Cisco Systems
>
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel